Subject: [Gen-art] RE: Gen-ART review of draft-hollenbeck-epp-rfc3733bis-04

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 20 Nov 2006 09:07:55 -0500

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Monday, November 20, 2006 8:06 AM
> To: Hollenbeck, Scott; [email-masked]; [email-masked]
> Subject: RE: Gen-ART review of draft-hollenbeck-epp-rfc3733bis-04
> 
> Scott Hollenbeck wrote:
> 
> > > 1) The document contains several references to UTF-8 like "names
> > > MAY be provided in both UTF-8 [RFC3629] and a subset of UTF-8 that
> > > can be represented in 7-bit ASCII depending on local needs."
> > > 
> > > This is not quite correct. UTF-8 is an encoding that converts
> > > Unicode characters to octets. What the text probably means is that
> > > "names MAY be provided in both Unicode and a subset of
> > > Unicode..."; how Unicode is actually encoded depends on the XML
> > > declaration, and it's not necessarily UTF-8.
> > 
> > The text is accurate as written.  The UTF-8 encoding is what's
> > acceptable, other possible Unicode encodings are not.  Plus, the 
> > XML declaration is only a hint, not a dependency.
> 
> Text later in the document (in Section 5) says that "EPP is
> represented in XML", and "conformant XML processors recoginze both
> UTF-8 and UTF-16", and "use of UTF-8 is RECOMMENDED in in environments
> where parser encoding support incompatibility exists".  3730bis also
> explicitly mentions using other encodings than UTF-8 (although it also
> recommends UTF-8).
> 
> So it seems that other Unicode encodings _are_ acceptable in this
> context...?

Acceptable isn't the right word.  "Not preventable" is a better way to
put it.  That's why the text doesn't come right out and say that
implementations MUST use UTF-8, while it does use RECOMMENDED, SHOULD,
etc.  In a broad, XML sense you're correct that other encodings are
possible.  The WG decided that more restrictive guidance was
appropriate.

-Scott-

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: <[email-masked]>
Date: Mon, 20 Nov 2006 16:20:56 +0200

Scott Hollenbeck wrote:

> Acceptable isn't the right word.  "Not preventable" is a better way 
> to put it.  That's why the text doesn't come right out and say that
> implementations MUST use UTF-8, while it does use RECOMMENDED, 
> SHOULD, etc.  In a broad, XML sense you're correct that other 
> encodings are possible.  The WG decided that more restrictive 
> guidance was appropriate.

Such guidance might well be appropriate (and I would not have any
problems with mandating UTF-8), but as it's currently written, the 
document is internally inconsistent.

It can't simultaneously say that (1) document is valid XML and may
use UTF-16 and other encodings, and (2) some text in the document 
is always encoded with UTF-8.

Best regards,
Pasi